# Express.js Pug Template App

This is a basic Express.js web application that uses the Pug template engine for rendering web pages. It also includes a sample CSS file for styling.

## Prerequisites

Before you begin, ensure you have met the following requirements:

- [Node.js](https://nodejs.org/) installed on your local machine.

## Setup and Usage

1. Clone this repository to your local machine:

    ```bash
    git clone https://github.com/umair-ali-bhutto/codepen/
    ```

2. Navigate to the project directory:

    ```bash
    cd codepen/pens/InfinitePlugin/
    ```

3. Install the required dependencies:

    ```bash
    npm install
    ```

4. Start the Express.js server:

    ```bash
    node app.js
    ```

5. Open your web browser and visit [http://localhost:3000](http://localhost:3000) to view the application.

## Project Structure

- `app.js`: The main Express application file.
- `views/`: Contains Pug template files.
- `css/`: Place your CSS files in this directory.
- `package.json`: Defines project dependencies and scripts.

## Contributing

If you'd like to contribute to this project, feel free to submit a pull request.
